Subject: Re: Problem running "g++ --help"
From: [email-masked] (Robert Svagera)

29 May 1997 17:35:12 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <"mr.tuwien..194:29.05.97.14.05.01"[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
Original-To: [email-masked]
X-Mailer: <PC Eudora Version 1.4>
Original-Sender: [email-masked]

At 09:13 PM 27/5/97, James Paul Morgan wrote:
>
>Under 17.1, I get this error with this rather amusing path:
>
>bash$ g++ --help
>/usr/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-961023/..
>/../../../i386-cygwin32/lib/libcygwin.a(libcmain.o): In function `main':
>/pizza/mushroom/noer/beta17/src/winsup/libcmain.cc:30: undefined 
>reference to `WinMain@16'
>
I have the same problem with 'g++ --help' or simply 'g++' under B18/Win95.
On the other side I can compile small programs like

  #include <iostream.h>

  main()
  {
    cout << "Hello there GNU++ world!\n";
  }

with the command line

  g++ -o testpp.exe testpp.cpp

when doing this on a local drive. If testpp.cpp is stored on a 
network drive, I again receive 

D:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
4\../../../../i386-cygwin32\lib/libcygwin.a(libcmain.o)(.text+0x1e):libcmain
..cc: undefined reference to `WinMain@16'
g++: Internal compiler error: program ld got fatal signal 1

Any hint?

Thank you in advance,
Robert

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".